Post by extra_luke » Thu Nov 17, 2011 6:53 am

Hello,

I have tried to upgrade OC to v1.5.1.3 from v1.4.9.1.

Uploaded the correct upgrade and overwritten the old files and folders (excluding the config files) go to:

http://www.yourstore.com/shop/install

(Of course with my URL)

Then click on Upgrade button.

Here are the error messages I get…

########

Warning: mysql_num_rows(): supplied argument is not a valid MySQL result resource in D:\Websites\www.myelectromobiles.com\order\install\model\upgrade.php on line 63

Warning: mysql_num_rows(): supplied argument is not a valid MySQL result resource in D:\Websites\www.myelectromobiles.com\order\install\model\upgrade.php on line 63

Warning: mysql_num_rows(): supplied argument is not a valid MySQL result resource in D:\Websites\www.myelectromobiles.com\order\install\model\upgrade.php on line 63

Warning: mysql_num_rows(): supplied argument is not a valid MySQL result resource in D:\Websites\www.myelectromobiles.com\order\install\model\upgrade.php on line 63

Warning: mysql_num_rows(): supplied argument is not a valid MySQL result resource in D:\Websites\www.myelectromobiles.com\order\install\model\upgrade.php on line 63

Warning: mysql_num_rows(): supplied argument is not a valid MySQL result resource in D:\Websites\www.myelectromobiles.com\order\install\model\upgrade.php on line 63

Warning: mysql_num_rows(): supplied argument is not a valid MySQL result resource in D:\Websites\www.myelectromobiles.com\order\install\model\upgrade.php on line 54
Could not Execute: ALTER TABLE open_option_value ADD image varchar(255) NOT NULL COMMENT '' COLLATE utf8_bin AFTER option_id;
Table 'db8927.open_option_value' doesn't existPHP Warning: mysql_num_rows(): supplied argument is not a valid MySQL result resource in D:\Websites\www.myelectromobiles.com\order\install\model\upgrade.php on line 63 PHP Warning: mysql_num_rows(): supplied argument is not a valid MySQL result resource in D:\Websites\www.myelectromobiles.com\order\install\model\upgrade.php on line 63 PHP Warning: mysql_num_rows(): supplied argument is not a valid MySQL result resource in D:\Websites\www.myelectromobiles.com\order\install\model\upgrade.php on line 63 PHP Warning: mysql_num_rows(): supplied argument is not a valid MySQL result resource in D:\Websites\www.myelectromobiles.com\order\install\model\upgrade.php on line 63 PHP Warning: mysql_num_rows(): supplied argument is not a valid MySQL result resource in D:\Websites\www.myelectromobiles.com\order\install\model\upgrade.php on line 63 PHP Warning: mysql_num_rows(): supplied argument is not a valid MySQL result resource in D:\Websites\www.myelectromobiles.com\order\install\model\upgrade.php on line 63 PHP Warning: mysql_num_rows(): supplied argument is not a valid MySQL result resource in D:\Websites\www.myelectromobiles.com\order\install\model\upgrade.php on line 54

########


Can you help me find solutions from this so that I can successfully upgrade my OC?

Many thanks in advance,

Luke

New member

Posts

Joined
Tue Oct 25, 2011 9:37 pm

Post by cc6264 » Thu Nov 17, 2011 12:07 pm

Luke

I have just upgraded my store from 1.4 to 1.5.1.3 and followed the instructions. Took me about 3 hours with backups. Upgraded without a problem.

Did you run the upgrade "opencart 1.4.x to 1.5.x " script? This script must be run BEFORE you run the upgrade script that comes with 1.5.1.3. If not search the forums for it.

I had no trouble with it. Thanks to the Opencart Crew.

Cheers
Craig

Newbie

Posts

Joined
Fri Oct 09, 2009 9:29 am
Location - Sydney,Australia

Post by Qphoria » Thu Nov 17, 2011 1:11 pm

Correct.. you need to run this first:
http://forum.opencart.com/viewtopic.php?f=2&t=36519

Then try running the install url again

Image
Donate!|OpenCart Basics|GeoZones
Image


User avatar
Administrator

Posts

Joined
Tue Jul 22, 2008 3:02 am

Post by extra_luke » Fri Nov 18, 2011 6:42 am

Thanks, I will try these things and get back.

New member

Posts

Joined
Tue Oct 25, 2011 9:37 pm

Post by extra_luke » Tue Nov 22, 2011 3:49 am

Hello Again,

Firstly, thanks: Craig & Qphoria.

I have tried this, followed the steps carefully, and only get an error. ???

Here is what I have done…


STEP 1. BACKUP YOUR DATABASE! Use your store's cpanel or the OpenCart Admin->System->Backup method to do a backup

STEP 2. BACKUP YOUR STORE FILES VIA FTP OR CPANEL!

STEP 3. RENAME YOUR EXISTING "config.php" and "admin/config.php" to "config.bak" and "admin/config.bak"

STEP 4. DOWNLOAD THE LATEST VERSION OF OPENCART

STEP 5. UNZIP AND UPLOAD ALL THE NEW OPENCART FILES OVER YOUR EXISTING FILES

STEP 6. DELETE THE "NEW" config.php and admin/config.php files that come with the new files

STEP 7. RENAME config.bak and admin/config.bak to "config.php"

STEP 8. EDIT config.php ONLY (not admin/config.php)

STEP 9. FIND: // DIR

STEP 10. BEFORE, ADD: (IF IT DOESN'T ALREADY EXIST):

// HTTP
define('HTTP_SERVER', 'http://mysite.com/');
define('HTTP_IMAGE', 'http://mysite.com/image/');
define('HTTP_ADMIN', 'http://mysite.com/admin/');

// HTTPS
define('HTTPS_SERVER', 'http://mysite.com/');
define('HTTPS_IMAGE', 'http://mysite.com/image/');


BE SURE TO CHANGE THE PATHS TO YOUR DOMAIN AND STORE.
IF USING A SUBDIRECTORY, BE SURE TO ADD IT TO THE PATH
IF USING SSL, BE SURE TO USE "https" for the bottom 2 entries

STEP 11. Upload the Beta2 Upgrade script and sql file to your install folder

STEP 12.RUN THE BETA2 UPGRADE SCRIPT:
http://mysite.com/install/upgrade-14x-to-15x.no-opt.php



The above STEP 12 page displays this in browser:


The page cannot be found
The page you are looking for might have been removed, had its name changed, or is temporarily unavailable.
________________________________________
Please try the following:
• Make sure that the Web site address displayed in the address bar of your browser is spelled and formatted correctly.
• If you reached this page by clicking a link, contact the Web site administrator to alert them that the link is incorrectly formatted.
• Click the Back button to try another link.
HTTP Error 404 - File or directory not found.
Internet Information Services (IIS)
________________________________________
Technical Information (for support personnel)
• Go to Microsoft Product Support Services and perform a title search for the words HTTP and 404.
• Open IIS Help, which is accessible in IIS Manager (inetmgr), and search for topics titled Web Site Setup, Common Administrative Tasks, and About Custom Error Messages.




Here is my config.php…





<?php// HTTP
define('HTTP_SERVER', 'http:// myelemobiles.com/');
define('HTTP_IMAGE', 'http:// myelemobiles.com/image/');
define('HTTP_ADMIN', 'http:// myelemobiles.com/admin/');

// HTTPS
define('HTTPS_SERVER', 'http:// myelemobiles.com/');
define('HTTPS_IMAGE', 'http:// myelemobiles.com/image/');
// DIR
define('DIR_APPLICATION', 'D:\Websites\www.myelemobiles.com\order/catalog/');
define('DIR_SYSTEM', 'D:\Websites\www. myelemobiles.com\order/system/');
define('DIR_DATABASE', 'D:\Websites\www.myelemobiles.com\order/system/database/');
define('DIR_LANGUAGE', 'D:\Websites\www.myelemobiles.com\order/catalog/language/');
define('DIR_TEMPLATE', 'D:\Websites\www.myelemobiles.com\order/catalog/view/theme/');
define('DIR_CONFIG', 'D:\Websites\www.myelemobiles.com\order/system/config/');
define('DIR_IMAGE', 'D:\Websites\www. myelemobiles.com\order/image/');
define('DIR_CACHE', 'D:\Websites\www. myelemobiles.com\order/system/cache/');
define('DIR_DOWNLOAD', 'D:\Websites\www. myelemobiles.com\order/download/');
define('DIR_LOGS', 'D:\Websites\www. myelemobiles.com\order/system/logs/');

// DB
define('DB_DRIVER', 'mysql');
define('DB_HOSTNAME', '*****');
define('DB_USERNAME', '****');
define('DB_PASSWORD', '*****');
define('DB_DATABASE', ****');
define('DB_PREFIX', 'open_');
?>



Any help?

Is my config.php not correct?

Many thanks in advance,

Luke ???
Last edited by i2Paq on Wed Nov 23, 2011 1:18 am, edited 1 time in total.
Reason: Removed some details of config.php

New member

Posts

Joined
Tue Oct 25, 2011 9:37 pm

Post by extra_luke » Wed Nov 23, 2011 12:26 am

Any help?

Bump... :)

New member

Posts

Joined
Tue Oct 25, 2011 9:37 pm

Post by Qphoria » Wed Nov 23, 2011 12:45 am

Step 12 fails because you didn't do Step 11. The files would be found if they were there. Try step 11 again. Be sure you upload the files to the install folder

Image
Donate!|OpenCart Basics|GeoZones
Image


User avatar
Administrator

Posts

Joined
Tue Jul 22, 2008 3:02 am

Post by speedy » Wed Nov 23, 2011 3:52 am

Why there's a gap between "//" and myelemobiles...:

Code: Select all

'http:// myelemobiles.com/')

New member

Posts

Joined
Thu Jul 28, 2011 1:23 am

Post by extra_luke » Thu Nov 24, 2011 3:56 am

Thanks Speedy for the response.

The gap is just a mistake on this forum, nothing to do with any script error.

It is there because I don’t want my actual URL to appear in Google in this forum (I changed the domain).

Please see the attached picture* for my actual domain relating to this post.

Attachments

domains.jpg

attached picture* - domains.jpg (18.49 KiB) Viewed 2453 times


New member

Posts

Joined
Tue Oct 25, 2011 9:37 pm

Post by extra_luke » Thu Nov 24, 2011 4:01 am

Ok thanks, tried again and got some progress but still have problems.

I have completed…


STEP 1. BACKUP YOUR DATABASE! Use your store's cpanel or the OpenCart Admin->System->Backup method to do a backup

STEP 2. BACKUP YOUR STORE FILES VIA FTP OR CPANEL!

STEP 3. RENAME YOUR EXISTING "config.php" and "admin/config.php" to "config.bak" and "admin/config.bak"

STEP 4. DOWNLOAD THE LATEST VERSION OF OPENCART

STEP 5. UNZIP AND UPLOAD ALL THE NEW OPENCART FILES OVER YOUR EXISTING FILES

STEP 6. DELETE THE "NEW" config.php and admin/config.php files that come with the new files

STEP 7. RENAME config.bak and admin/config.bak to "config.php"

STEP 8. EDIT config.php ONLY (not admin/config.php)

STEP 9. FIND: // DIR

STEP 10. BEFORE, ADD: (IF IT DOESN'T ALREADY EXIST):

// HTTP
define('HTTP_SERVER', 'http://mysite.com/');
define('HTTP_IMAGE', 'http://mysite.com/image/');
define('HTTP_ADMIN', 'http://mysite.com/admin/');

// HTTPS
define('HTTPS_SERVER', 'http://mysite.com/');
define('HTTPS_IMAGE', 'http://mysite.com/image/');


BE SURE TO CHANGE THE PATHS TO YOUR DOMAIN AND STORE.
IF USING A SUBDIRECTORY, BE SURE TO ADD IT TO THE PATH
IF USING SSL, BE SURE TO USE "https" for the bottom 2 entries

STEP 11. Upload the Beta2 Upgrade script and sql file to your install folder

STEP 12.RUN THE BETA2 UPGRADE SCRIPT:
http://mysite.com/install/upgrade-14x-to-15x.no-opt.php

STEP 13a. IF it shows "SUCCESSFUL" then continue to the next step.

STEP 13b. IF it shows errors, ignore them. They are false positives. Run the script again and it should be successful.




I still receives errors here…

1) After going to: http://myelemobiles.com/order/install/u ... no-opt.php

I get this error message…


PHP Parse error: syntax error, unexpected T_STRING in D:\Websites\www.myelemobiles.com\order\config.php on line 2



Even with this error message I continued to do the next steps (maybe not worth going any further yet but)…


2) After going to: http://myelemobiles.com/order/install/ and clicking on the upgrade button I get this error message…



Warning: mysql_num_rows(): supplied argument is not a valid MySQL result resource in D:\Websites\www.myelemobiles.com\order\install\model\upgrade.php on line 63

Warning: mysql_num_rows(): supplied argument is not a valid MySQL result resource in D:\Websites\www.myelemobiles.com\order\install\model\upgrade.php on line 63

Warning: mysql_num_rows(): supplied argument is not a valid MySQL result resource in D:\Websites\www.myelemobiles.com\order\install\model\upgrade.php on line 63

Warning: mysql_num_rows(): supplied argument is not a valid MySQL result resource in D:\Websites\www.myelemobiles.com\order\install\model\upgrade.php on line 63

Warning: mysql_num_rows(): supplied argument is not a valid MySQL result resource in D:\Websites\www.myelemobiles.com\order\install\model\upgrade.php on line 63

Warning: mysql_num_rows(): supplied argument is not a valid MySQL result resource in D:\Websites\www.myelemobiles.com\order\install\model\upgrade.php on line 63

Warning: mysql_num_rows(): supplied argument is not a valid MySQL result resource in D:\Websites\www.myelemobiles.com\order\install\model\upgrade.php on line 54
Could not Execute: ALTER TABLE open_option_value ADD image varchar(255) NOT NULL COMMENT '' COLLATE utf8_bin AFTER option_id;
Table 'db8###.open_option_value' doesn't existPHP Warning: mysql_num_rows(): supplied argument is not a valid MySQL result resource in D:\Websites\www.myelemobiles.com\order\install\model\upgrade.php on line 63 PHP Warning: mysql_num_rows(): supplied argument is not a valid MySQL result resource in D:\Websites\www.myelemobiles.com\order\install\model\upgrade.php on line 63 PHP Warning: mysql_num_rows(): supplied argument is not a valid MySQL result resource in D:\Websites\www.myelemobiles.com\order\install\model\upgrade.php on line 63 PHP Warning: mysql_num_rows(): supplied argument is not a valid MySQL result resource in D:\Websites\www.myelemobiles.com\order\install\model\upgrade.php on line 63 PHP Warning: mysql_num_rows(): supplied argument is not a valid MySQL result resource in D:\Websites\www.myelemobiles.com\order\install\model\upgrade.php on line 63 PHP Warning: mysql_num_rows(): supplied argument is not a valid MySQL result resource in D:\Websites\www.myelemobiles.com\order\install\model\upgrade.php on line 63 PHP Warning: mysql_num_rows(): supplied argument is not a valid MySQL result resource in D:\Websites\www.myelemobiles.com\order\install\model\upgrade.php on line 54




When I go to the admin page: http://www.myelemobiles.com/order/admin/

This error appears…




PHP Notice: Error: Unknown column 'store_id' in 'where clause'
Error No: 1054
SELECT * FROM open_setting WHERE store_id = '0' in D:\Websites\www.myelemobiles.com\order\system\database\mysql.php on line 49




From the above can you detect why there is a problem?

As always, thanks guys.

New member

Posts

Joined
Tue Oct 25, 2011 9:37 pm

Post by speedy » Thu Nov 24, 2011 4:50 am

Seems like a "million n one" issues. While I may know a little here and there, this one is big for me. But if no one can help, I urge you to backup and do a clean installation.

New member

Posts

Joined
Thu Jul 28, 2011 1:23 am

Post by webvet » Thu Nov 24, 2011 7:31 pm

extra_luke
Any progress on this? I upgraded from 1.4.8b to 1.5.1.1 yesterday without a hitch (had done it on local server before just to check it worked and play with the new layout options prior to doing it on my live site).
Any help?

Is my config.php not correct?
Your config.php doesn't look right to me, have you sorted your upgrade out? Your link isn't working but not showing any of the errors you refer to, either.

Genuine, Honest Opencart Support @ http://webvetservices.com


User avatar
Active Member

Posts

Joined
Thu May 14, 2009 2:04 am
Location - Shropshire, UK

Post by extra_luke » Fri Nov 25, 2011 3:53 am

Webvet, thanks for getting back.

No, still having the last reported problem above.

The links won’t work. Please have a look at a few posts back (upwards). I explained why my links here won’t work in response to Speedy’s post.


- What do you think is wrong with my config.php?

Appreciate everyone’s assistance.

New member

Posts

Joined
Tue Oct 25, 2011 9:37 pm

Post by webvet » Fri Nov 25, 2011 9:24 pm

Sorry - didn't read your previous post properly re the links... blushes!!!!

This upgrade will work without problems if you follow the 1.4.x-to-1.5.x-upgrade-steps.txt found at the top of this thread http://forum.opencart.com/viewtopic.php?f=2&t=36519.

You need to first upgrade to v1.5.1.1 (which has worked fine for me on several occassions) before trying to upgrade to v1.5.1.3.

The config.php files will remain the same as they currently are (if you follow the text file referred to, you then just add the new
//HTTP and
//HTTPS
parts as you have done in previous posts.

I wonder if you have gone straight for v1.5.1.3 in the upgrade? Or used an old config.php file from a previous backup rather than your current one?

Genuine, Honest Opencart Support @ http://webvetservices.com


User avatar
Active Member

Posts

Joined
Thu May 14, 2009 2:04 am
Location - Shropshire, UK

Post by extra_luke » Sat Nov 26, 2011 1:01 am

Hi webvet,

I will try what you said…

Try…

v1.5.1.1 then after v1.5.1.3

I have used the current config.php with the new:

//HTTP and
//HTTPS


So hopefully the problem is just with the fact I haven’t tried v1.5.1.1 first.

(I have tried v1.5.0.0 and it didn’t work though).

I’ll give it a go. Thanks.

New member

Posts

Joined
Tue Oct 25, 2011 9:37 pm

Post by Qphoria » Sat Nov 26, 2011 2:48 am

webvet wrote:Sorry - didn't read your previous post properly re the links... blushes!!!!

This upgrade will work without problems if you follow the 1.4.x-to-1.5.x-upgrade-steps.txt found at the top of this thread http://forum.opencart.com/viewtopic.php?f=2&t=36519.

You need to first upgrade to v1.5.1.1 (which has worked fine for me on several occassions) before trying to upgrade to v1.5.1.3.
You can go straight to 1.5.1.3 as well, you just need to run the stock 1.5.1.3 upgrade script after you run the beta2 script

Image
Donate!|OpenCart Basics|GeoZones
Image


User avatar
Administrator

Posts

Joined
Tue Jul 22, 2008 3:02 am
Who is online

Users browsing this forum: No registered users and 9 guests